/* 
    Typefaces
*/

@font-face {
    font-family: ABC Diatype;
    font-weight: 600;
    font-style: regular;
    src: url("../fonts/ABCDiatype-Bold.otf") format("opentype");
    font-display: swap;
}

@font-face {
    font-family: ABC Diatype;
    font-weight: 600;
    font-style: italic;
    src: url("../fonts/ABCDiatype-BoldItalic.otf") format("opentype");
    font-display: swap;
}

@font-face {
    font-family: ABC Diatype Mono;
    font-weight: 500;
    font-style: regular;
    src: url("../fonts/ABCDiatypeMono-Medium.otf") format("opentype");
    font-display: swap;
}

@font-face {
    font-family: ABC Diatype Mono;
    font-weight: 500;
    font-style: italic;
    src: url("../fonts/ABCDiatypeMono-MediumItalic.otf") format("opentype");
    font-display: swap;
}

/* 
    Variables
*/

:root {
    --tabletSize: 48rem;
    --laptopSize: 64rem;
    --desktopLargeSize: 120rem;
}

/* 
    Elements 
*/

* {
    box-sizing: border-box;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    image-rendering: optimizeQuality;
    scroll-behavior: smooth;
}

html {
    min-height: 100%;
}

body {
    min-height: 100vh;
    font-family: "ABC Diatype", Helvetica, -apple-system, BlinkMacSystemFont, arial, sans-serif;
    font-size: 14px;
    line-height: 1.325em;
    letter-spacing: -0.005em;
    font-weight: 600;
    margin: 4px 0;
    animation: fade-in 300ms 100ms ease;
    background-color: var(--color-black-deep);
    color: var(--color-white);
}

h1, h2, h3, h4, h5, h6, p {
    margin: 0;
}

h1, h2, h3, h4, h5, h6 {
    font-size: 14px;
}

a {
    color: inherit;
    transition: 250ms;
    text-underline-offset: 0.15em;
}

a.no-style {
    text-decoration: none;
}

.kt a:hover,
.kt a:focus-visible {
    opacity: 0.6;
}

button.expand-target::after,
a.expand-target::after {
    content: " ";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

button {
    border: 0;
    background-color: transparent;
    cursor: pointer;
}

::selection {
    background-color: rgba(0, 0, 0, 0.15);
    color: rgba(0, 0, 0, 1);
}

h2 {
    margin: 2em 0 1.75em;
    padding: 0 3rem;
    text-wrap: balance;
    font-family: "ABC Diatype Mono", monospace;
    text-transform: uppercase;
    letter-spacing: 0.05em;
    font-size: 15px;
    font-weight: 400;
    text-align: center;
}

menu.no-style,
ul.no-style {
    list-style: none;
    padding: 0;
    margin: 0;
}

ul {
    padding-inline-start: 1.5rem;
    margin-block-start: 0.5em;
    margin-block-end: 2em;
}

.hidden {
    display: block;
    opacity: 0;
    visibility: hidden;
    height: 0;
    width: 0;
    overflow: hidden;
}

img {
    max-width: 100%;
    max-height: calc(100vh - 4rem);
    object-fit: contain;
    height: auto;
}

video {
    max-width: 100%;
    max-height: calc(100vh - 4rem);
    object-fit: contain;
    height: auto;
    isolation: isolate;
    -webkit-mask-image: -webkit-radial-gradient(white, black);
    -webkit-backface-visibility: hidden;
    -moz-backface-visibility: hidden;
    backface-visibility: hidden;
}

fieldset {
    border: 0;
}

/*
    Text
*/

/* Text: Sizes */
:root {
    --text-small: 12px;
    --text-medium: 14px;
    --text-large: 18px;
}

@media (min-width: 48rem) {
    :root {
        --text-small: 14px;
        --text-medium: 16px;
        --text-large: 22px;
    }
}

@media (min-width: 64rem) {
    :root {
        --text-small: 15px;
        --text-medium: 18px;
        --text-large: 28px;
    }
}

.text-small { 
    font-size: var(--text-small); 
    line-height: 1.35;
}

.text-medium { 
    font-size: var(--text-medium); 
    line-height: 1.3;
}

.text-large { 
    font-size: var(--text-large); 
    line-height: 1.2;
}

/* Text: Properties */
.text-center {
    text-align: center;
}

.text-uppercase {
    text-transform: uppercase;
    letter-spacing: 0.1em;
}

/*
    Colors
*/

:root {
    --color-black: rgb(20, 20, 20);
    --color-black-deep: rgb(10, 10, 10);
    --color-surface: rgba(40, 40, 40, 0.95);
    --color-white: rgb(255, 255, 255);
    --color-gray: rgba(255, 255, 255, 0.5);
    --color-red: rgb(255, 50, 50);
}

/* Colors: Text */
.text-white { 
    color: var(--color-white); 
}
.text-gray { 
    color: var(--color-gray); 
}
.text-red { 
    color: var(--color-red); 
}

/* Colors: Backgrounds */
.bg-black { 
    background-color: var(--color-black); 
}
.bg-black-deep { 
    background-color: var(--color-black-deep); 
}
.bg-surface { 
    background-color: var(--color-surface); 
}
.bg-white { 
    background-color: var(--color-white); 
}

/*
    Margin & Padding
*/

:root {
    --space-v-s: 0.5rem;
    --space-v-m: calc(var(--space-v-s) * 2);
    --space-v-l: calc(var(--space-v-s) * 4);
    --space-h-s: 8px;
    --space-h-m: calc(var(--space-h-s) * 2);
    --space-h-l: calc(var(--space-h-s) * 4);
}

/* Margin: Top */
.margin-top-s {
    margin-top: var(--space-v-s);
}

.margin-top-m {
    margin-top: var(--space-v-m);
}

.margin-top-l {
    margin-top: var(--space-v-l);
}

/* Margin: Bottom */
.margin-bottom-s {
    margin-bottom: var(--space-v-s);
}

.margin-bottom-m {
    margin-bottom: var(--space-v-m);
}

.margin-bottom-l {
    margin-bottom: var(--space-v-l);
}

/* Margin: Left */
.margin-left-s {
    margin-left: var(--space-h-s);
}

.margin-left-m {
    margin-left: var(--space-h-m);
}

.margin-left-l {
    margin-left: var(--space-h-l);
}

/* Margin: Right */
.margin-right-s {
    margin-right: var(--space-h-s);
}

.margin-right-m {
    margin-right: var(--space-h-m);
}

.margin-right-l {
    margin-right: var(--space-h-l);
}

/* Padding: Top */
.padding-top-s {
    padding-top: var(--space-v-s);
}

.padding-top-m {
    padding-top: var(--space-v-m);
}

.padding-top-l {
    padding-top: var(--space-v-l);
}

/* Padding: Bottom */
.padding-bottom-s {
    padding-bottom: var(--space-v-s);
}

.padding-bottom-m {
    padding-bottom: var(--space-v-m);
}

.padding-bottom-l {
    padding-bottom: var(--space-v-l);
}

/* Padding: Left */
.padding-left-s {
    padding-left: var(--space-h-s);
}

.padding-left-m {
    padding-left: var(--space-h-m);
}

.padding-left-l {
    padding-left: var(--space-h-l);
}

/* Padding: Right */
.padding-right-s {
    padding-right: var(--space-h-s);
}

.padding-right-m {
    padding-right: var(--space-h-m);
}

.padding-right-l {
    padding-right: var(--space-h-l);
}

